#LogInForm
{
    display: flex;
    flex-direction: column;
    justify-content: space-around;

    transform: translateY(-5vh);
    width: 95%;
    height: 40vh;
}

#LogInForm div
{
    display: flex;
    flex-direction: column;
    height: 8vh;
    border-bottom: solid 1px rgb(200, 200, 200);
}

#LogInForm label
{
    position: absolute;
    font-size: 2.2vh;
    color: rgb(200, 200, 200);
    transform: translateY(4.5vh);

    /* Prevent text selection while dragging */
    -webkit-user-select: none;
    -ms-user-select: none;
    user-select: none;

    transition-property: transform;
    transition-duration: 0.1s;
    transition-timing-function: ease-in;
}

#LogInForm input:not([type=submit])
{
    transform: translateY(2.8vh);
    border: none;
    outline: none;

    width: 100%;
    height: 5vh;
    background-color: transparent;    

    font-size: 2.2vh;
    color: white;
}
#LogInForm input:-webkit-autofill,
#LogInForm input:-webkit-autofill:hover, 
#LogInForm input:-webkit-autofill:focus, 
#LogInForm input:-webkit-autofill:active
{
    -webkit-background-clip: text;
    -webkit-text-fill-color: rgba(0, 0, 0, 0);
}

.MessageContainer
{
    width: 100%;
    height: 12vh;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: rgb(30, 30, 30);
    border: solid 1px red;
    font-size: 2vh;
}
.MessageContainer p
{
    margin: 0;
    width: 85%;

    text-align: center;
    font-size: 2.2vh;
    color: white;
    line-height: 150%;
}
.MessageContainer span
{
    cursor: pointer;
    margin: 0;
    margin-left: 2vh;

    text-decoration: underline;
    color: rgb(200, 200, 200);

    transition: all 0.1s ease-in;
}

@media (hover: hover)
{
    .MessageContainer span:hover
    {
        filter: brightness(75%);
    }
}